﻿
:root {
    --bg-color-bars: #333;
    background-color: white;
    scrollbar-color: #666 #333;
    --Darkest-background-color: dodgerblue;
    --Darker-background-color: #54aef3;
    --Dark-background-color: white; 
    --Green-background-color: #074a07;
    --background-color: #111;
    --accent-color: #aaf; /*blurple*/
    --base-font-size: 13px;
    --panel-color: #222;
    --text-color: #ddd;
    --row-background-odd: #e9e9e9;
    --row-background-even: white;
    --row-background-hover: smokewhite;
    --row-background-sorting: smokewhite;
    --orangeheader-color: #ff9900;
    --orangeheader-color-dark: #cf7c00;
    --sfBgColor: #e8f0fe;
    --ncsBgColor:#ff9900;
    --arBgColor: #e6d322;
    --gpBgColor: #3d9e1d;
    --forecastBgColor: #9B59B6;
    --shortageBgColor: #cecece;
    --shortageFgColor: #2C2C2A;
}
.sfBgColor{background-color: var(--sfBgColor) !important; color: #1A4FC4}
.gpBgColor{background-color: var(--gpBgColor) !important; color: white;}
.ncsBgColor{background-color: var(--ncsBgColor) !important; color: black;}
.arBgColor{background-color: var(--arBgColor) !important; color: black;}


div.warning{    
    background-color: #aaa; color:rgb(151, 24, 24);
    border: #000 1px thin;
}

.normalTextColor{color:#000;}
.exceptionTextColor{color:red;}
.ui-autocomplete-input{color:black;}

.modal-body {
    background-color: #fff;
}

.modal-footer {
    background-color: var(--Dark-background-color);
}

.modal-header {
    background-color: var(--Dark-background-color);
}

#pac-container {
    background-color: white;
}

.Orangeheader {
    background-color: var(--orangeheader-color);
}

.Orangeheader-dark {
    background-color: var(--orangeheader-color-dark);
}
.close {
    opacity: .6;
}
.dragHeader {
    background-color: var(--Darker-background-color);
    color: white;
    font-size: 2em;
    padding: 3px;
    padding-left: 10px;
}

    body {
        background-color: white;
    }
#MainContent {
    background-color: white;
    padding-bottom: 40px;
}
.bgDarkest {
    background-color: var(--Darkest-background-color);
}
.jobDetailsContentHeight {
    height: calc(100vh - 140px);
}
.scrollJobsColumn {
    height: calc(100vh - 205px);
}
.scrollJobsDetail {
    height: calc(100vh - 135px);
}
.blink-bg {
    color: #fff;
    display: inline-block;
    border-radius: 5px;
    animation: blinkingBackground 2s infinite;
}

.actionTextBox {
    background-color: white;
    color: red;
}

#ShareJobView .dialogColor {
    color: white;
}

.email-label { color: black;
}
.email-input {
    color: black;
}
@keyframes blinkingBackground {
    0% {
        background-color: #10c018;
    }

    25% {
        background-color: #1056c0;
    }

    50% {
        background-color: #ef0a1a;
    }

    75% {
        background-color: #254878;
    }

    100% {
        background-color: #04a1d5;
    }
}


.bgDarker {
    background-color: var(--Darker-background-color);
}
.bold{color:black;}
.bgDark {
    background-color: var(--Dark-background-color);
}


.RmpJobsTable tr:hover {
    background-color: var(--row-background-hover);
}
/*.dropdown-menu :hover {
    background-color: lightblue;
}*/

.topRightMenu .ScoreValue {
    color: white;
    background-color: black;
}

#tech-property-heading {
    color: black;
}
div.TechTableContainer > div:nth-of-type(odd) {
    background: var(--row-background-odd);
}
div.TechTableContainer > div:nth-of-type(even) {
    background: var(--row-background-even);
}
.RmpJobsTable tr:nth-child(even) {
    background-color: var(--row-background-even);
}

.RmpJobsTable tr:nth-child(odd) {
    background-color: var(--row-background-odd);
}
#customers tr:nth-child(even) {
    background-color: var(--row-background-even);
}
#customers tr:nth-child(odd) {
    background-color: var(--row-background-odd);
}


.no-js-tooltip  {
    display: none;
    padding: 2px;
    margin: 0;
    color: #ffffff;
    background: #e00000;
    width: 100%;
}


/*WO Issue Styles*/
#UserReportCard_info {
    color: black;
}

table.dataTable.display tbody tr.odd > .sorting_1, table.dataTable.order-column.stripe tbody tr.odd > .sorting_1 {
    background-color: var(--row-background-sorting);
}
table.dataTable.display tbody tr.even > .sorting_1, table.dataTable.order-column.stripe tbody tr.even > .sorting_1 {
    background-color: var(--row-background-hover);
}
table.dataTable.stripe tbody tr.even, table.dataTable.display tbody tr.even {
    background-color: var(--row-background-even);
}
table.dataTable.stripe tbody tr.odd, table.dataTable.display tbody tr.odd {
    background-color: var(--row-background-odd);
}
table.dataTable.stripe tbody tr.hover, table.dataTable.display tbody tr.hover {
    background-color: var(--row-background-hover);
}



    .alterRow {border: 1px black solid;}
#InstructionsTable {
    font-family: Arial, Helvetica, sans-serif;
    border-collapse: collapse;
    width: 100%;
}
    #InstructionsTable td, #customers th {
        border: 1px solid #ddd;
        padding: 8px;
    }
    #InstructionsTable tr:nth-child(even) {background-color: var(--row-background-even);}
    #InstructionsTable tr:nth-child(odd) {background-color: var(--row-background-odd);}
    #InstructionsTable tr:hover {background-color: var(--row-background-hover);    }
    #InstructionsTable th {
        padding-top: 12px;
        padding-bottom: 12px;
        text-align: left;
        background-color: orange;
        color: white;
    }





.bgGreen {
    background-color: var(--Green-background-color);
}
#page-wrapper {
    border: none;
    padding-left: 0;
    padding-right: 0;
}

.JobSummaryHeaderBH {
background-color:dodgerblue !important;color:white;}
.JobSummary:nth-child(even) {
    background-color: gainsboro;
}

.JobSummary:nth-child(odd) {
    background-color: whitesmoke;
}
.JobSummary:hover {
    background-color: lightyellow;
}


#CustomerContact {
    background-color: dodgerblue;
}

.partner-history-grid-row:nth-child(odd) {
    background: #f9f9f9
}
    .IssueLabel {
    color: black;
}
    #AllJobIssues{color: black;}
.JobSummary:hover {
    background-color: var(--Dark-background-color);
    cursor: pointer;
}

.JobSummary {
    font-size: 12px;
    background-color: gainsboro;
}

a.warningLink {
    color: #e4dc09;
}

.MaterialsItemsTableBody tr:nth-child(even) {
    background-color: var(--Dark-background-color);
}

.MaterialsItemsTableBody tr:nth-child(odd) {
    background-color: var(--Darker-background-color);
}

    .financialReadOnly{
        background-color: #727171  ;
        color:#ffffff;
    }
    .financialInputEdit{
        background-color: #29972d  ;
        color:#ffffff;
    }

textarea {
    background: white !important;
    box-shadow: inset 0px 0px 4px 0px #111, 0px 0px 1px 0px #222;
    border: 1px solid #333;
    border-radius: 3px !important;
    padding: 3px;
    -moz-appearance: none !important;
    -webkit-appearance: none !important;
    color: black !important;
}
.bottom-border{border-bottom: 1px solid black;}
textarea {
    border: 1px solid #000;
}
.lText {
    color: white;
}

.dText {
    color: black;
}
.linklook {
    cursor: pointer;
    color: #337ab7;
    text-decoration: underline;
}
.linklook:hover {
    text-decoration: none;
    text-shadow: 1px 1px 1px #555;
}
.bgGreen {
    background-color: #4CAF50;
}

.JobNotesBox {
    background-color: #fefefe;
    border: 1px solid #555;
    border-top: 1px solid #888;
    box-shadow: 0px 1px 2px 2px #ddd;
}
.JobNotesDate {
    color: #555;
}

.JobNotesAuthor {
    color: #555;
}

.JobNotesMessage {
    color: #555;
}
.WoRow{background-color:white;}

.laborVisitsTable tr:nth-child(even) {
    background-color: #f2f2f2;
}

.laborVisitsTable tr:hover {
    background-color: #ddd;
}

#ShareWOForm .dialogColor {
    color: black;
    background-color: var(--Dark-background-color);
}

#linkedDocsTable tr:nth-child(even) {
    background-color: var(--row-background-even);
}
#linkedDocsTable tr:nth-child(odd) {
    background-color: var(--row-background-odd);
}
#linkedDocsTable tr:hover {
    background-color: #ddd;
}
#linkedDocsTable th {
    background-color: white;
    color: black;
}
#linkedDocsTable table {
    background-color: #f2f2f2;
    color: black;
}

.ui-tabs .ui-tabs-panel {
    background-color: var(--Dark-background-color);
    color: black;
}
.ui-widget-content {
    background-color: var(--Dark-background-color);
    color: black;
}

.ui-tabs .ui-tabs-panel {
    background-color: var(--Dark-background-color);
}

.ui-tabs .ui-tabs-nav {
    background-color: var(--Dark-background-color);
}




.bg-Metrics-dark {
    background-color: #4CAF50;
    color: white;
}
.bg-expense-dark {
    background-color: darkslateblue;
    color: white;
}
.bg-expense-light {
    background-color: mediumpurple;
    color: white;
}

.financialTables tr:nth-child(odd) {
    background: var(--row-background-odd);
}
.financialTables tr:nth-child(even) {
    background: var(--row-background-even);
}
.financialTables td, .financialTables th {
    border: 1px solid #ddd;
    padding: 1px;
}

.financialTables tr:hover {
    background-color: #ddd;
}

.financialTables th {
    padding-top: 2px;
    padding-bottom: 2px;
    text-align: center;
    color: white;
}
.revenueLockedWarningLook {
    background: #fff3cd; color: #62141a;
}

.WOsection {
    background-color: whitesmoke;
}

.sitelocations-grid-row:nth-child(odd) {
    background: var(--row-background-odd);
}
.sitelocations-grid-row:nth-child(even) {
    background: var(--row-background-even);
}

#layoutDragModalBody{background-color:white;}


.insurance-high {background-color: #337ab7d4;color:white;}
.insurance-med {background-color: #337ab7c9;}
.insurance-low {background-color: #0885a1c9;}

.dispatching-high {
    background-color: #FFC000;
    color: white;
}

.dispatching-medium {
    background-color: #FFD966;
}

.dispatching-low {
    background-color: #FFE699;
}

.dispatched-high {
    background-color: #70AD47;
}

.dispatched-medium {
    background-color: #A9D08E;
}

.dispatched-low {
    background-color: #C6E0B4;
}

.onsite-login-high {
    background-color: #ED7D31;
}

.onsite-login-medium {
    background-color: #F4B084;
}

.onsite-login-low {
    background-color: #F8CBAD;
}


.onsite-logout-high {
    background-color: #5B9BD5;
}


.onsite-logout-medium {
    background-color: #F4B084;
}

.onsite-logout-low {
    background-color: #BDD7EE;
}

.offsite-high {
    background-color: #A5A5A5;
}

.offsite-medium {
    background-color: #C9C9C9;
}

.offsite-low {
    background-color: #DBDBDB;
}

.RuleViolation-high {
    background-color: #A5A5A5;
}

.RuleViolation-medium {
    background-color: #C9C9C9;
}

.RuleViolation-low {
    background-color: #DBDBDB;
}

#documentViewerPanelFrame {
    height: calc(100vh - 172px);
}

/**Invoice Download History*/
.color-zip {
    color: orange;
    min-width: 18px;
    text-align: center;
}

.color-pdf {
    color: red;
    min-width: 18px;
    text-align: center;
}
/**Invoice Download History*/

.googlemap-pin-label {
    background-color: white;
    padding: 2px;
    border-radius: 3px;
    position: absolute;
    top: 25px;
    left: -25px;
    color: black;
    text-align: center;
}